eoOneMaxQuadCrossover(3)

NAME
eoOneMaxQuadCrossover - Always write a comment in this format before class definition if you want the class to be documented by Doxygen.

SYNOPSIS

#include <eoOneMaxQuadCrossover.h>

Inherits eoQuadOp< GenotypeT >.

  Public Member Functions
eoOneMaxQuadCrossover ()
Ctor - no requirement.
string className () const
The class name. Used to display statistics.
bool operator() (GenotypeT &_genotype1, GenotypeT &_genotype2)
eoQuad crossover - modifies both parents

Detailed Description

  template<class GenotypeT> class eoOneMaxQuadCrossover< GenotypeT >
Always write a comment in this format before class definition if you want the class to be documented by Doxygen. THere is NO ASSUMPTION on the class GenoypeT. In particular, it does not need to derive from EO

Definition at line 26 of file eoOneMaxQuadCrossover.h.

Member Function Documentation

  template<class GenotypeT> bool eoOneMaxQuadCrossover< GenotypeT >::operator() (GenotypeT & _genotype1, GenotypeT & _genotype2) [inline, virtual]

eoQuad crossover - modifies both parents

Parameters:
    _genotype1 The first parent
    _genotype2 The second parent

Requirement if (at least one genotype has been modified) // no way to distinguish oneAtLeastIsModified = true; else oneAtLeastIsModified = false;

Implements eoBF< GenotypeT &, GenotypeT &, bool >.

Definition at line 49 of file eoOneMaxQuadCrossover.h.

Author

Generated automatically by Doxygen for EO from the source code.